Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.proxy.ejb.handle
Class HandleDelegateImpl

    java.lang.Object
      org.jboss.proxy.ejb.handle.HandleDelegateImpl

All Implemented Interfaces:
  javax.ejb.spi.HandleDelegate

public class HandleDelegateImpl
extends Object
implements javax.ejb.spi.HandleDelegate

Implementation of the javax.ejb.spi.HandleDelegate interface

The HandleDelegate interface is implemented by the EJB container. It is used by portable implementations of javax.ejb.Handle and javax.ejb.HomeHandle. It is not used by EJB components or by client components. It provides methods to serialize and deserialize EJBObject and EJBHome references to streams.

The HandleDelegate object is obtained by JNDI lookup at the reserved name "java:comp/HandleDelegate".

Version:
  $Revision: 1.4 $
Author:
  Dimitris.Andreadis@jboss.org, adrian@jboss.com

Constructor Summary
`HandleDelegateImpl()`

Method Summary
`static javax.ejb.spi.HandleDelegate` | `getDelegate()`
`javax.ejb.EJBHome` | `readEJBHome(ObjectInputStream oistream)`
`javax.ejb.EJBObject` | `readEJBObject(ObjectInputStream oistream)`
`protected void` | `reconnect(Object object)`
`void` | `writeEJBHome(javax.ejb.EJBHome ejbHome, ObjectOutputStream oostream)`
`void` | `writeEJBObject(javax.ejb.EJBObject ejbObject, ObjectOutputStream oostream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandleDelegateImpl

    public HandleDelegateImpl()

Method Detail

### getDelegate

    public static javax.ejb.spi.HandleDelegate getDelegate()

### writeEJBObject

    public void writeEJBObject(javax.ejb.EJBObject ejbObject,
                               ObjectOutputStream oostream)
                        throws IOException

  Specified by:
    `writeEJBObject` in interface `javax.ejb.spi.HandleDelegate`
  Throws:
    `IOException`

### readEJBObject

    public javax.ejb.EJBObject readEJBObject(ObjectInputStream oistream)
                                      throws IOException,
                                             ClassNotFoundException

  Specified by:
    `readEJBObject` in interface `javax.ejb.spi.HandleDelegate`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeEJBHome

    public void writeEJBHome(javax.ejb.EJBHome ejbHome,
                             ObjectOutputStream oostream)
                      throws IOException

  Specified by:
    `writeEJBHome` in interface `javax.ejb.spi.HandleDelegate`
  Throws:
    `IOException`

### readEJBHome

    public javax.ejb.EJBHome readEJBHome(ObjectInputStream oistream)
                                  throws IOException,
                                         ClassNotFoundException

  Specified by:
    `readEJBHome` in interface `javax.ejb.spi.HandleDelegate`
  Throws:
    `IOException`
    `ClassNotFoundException`

### reconnect

    protected void reconnect(Object object)
                      throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.